#include <windows.h>
#include <stdio.h>

#include "cusb.h"
#define SIZE 32

int main( int argc, char *argv[] )
{
  u8 s1[SIZE], s2[SIZE];
  int i, j, l;

  if (USB_Open()) {
    fprintf(stderr, "Cannot open Ez-USB\n");
    exit(1);
  }
  fprintf(stderr, "Open Ez-USB\n");

  for (i = 0; i < 4; i++) {
    for (j = 0; j < SIZE; j++) {
      s1[j] = i + j * 2;
      s2[j] = 0;
    }

    USB_Send(s1, SIZE);
    fprintf(stderr, "Send %d bytes\n", SIZE);

    l = USB_Receive(s2, SIZE);
    fprintf(stderr, "Receive %d bytes\n", l);

    for (j = 0; j < l; j++) {
      if ((j % 16) == 0) {
	fprintf(stderr, "\n%04x", j);
      }
      fprintf(stderr, " %02x", s2[j]);
    }
    fprintf(stderr, "\n");
  }

  USB_Close();
}
